import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataOktaAppSignonPolicyConfig extends cdktf.TerraformMetaArguments {
    /**
    * App ID
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/d/app_signon_policy#app_id DataOktaAppSignonPolicy#app_id}
    */
    readonly appId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/d/app_signon_policy okta_app_signon_policy}
*/
export declare class DataOktaAppSignonPolicy extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/d/app_signon_policy okta_app_signon_policy} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataOktaAppSignonPolicyConfig
    */
    constructor(scope: Construct, id: string, config: DataOktaAppSignonPolicyConfig);
    private _appId?;
    get appId(): string;
    set appId(value: string);
    get appIdInput(): string | undefined;
    get id(): string;
    get name(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
